Payment to a specific balance

Performs a payment to a specific balance.

If the paid balance is a parent, then as many as possible of the balance’s children will be paid with the same amount.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
integer
required

The customer id that the balance belongs to.

string
required
length ≤ 100

An identifier for the transaction. Must be unique across calls.

float
required

The amount to pay.

integer

Identifies the balance to pay. Only used for child balances. Either balanceId or externalBalanceId must be provided, but not both.

string
length ≤ 255

Identifies the balance to pay. Only used for parent balances. Either balanceId or externalBalanceId must be provided, but not both.

Headers
string
required

OAuth token belonging to the e-commerce

Response

{
  "text": "Success",
  "timestamp": "2025-10-08T14:09:11.992204431-06:00",
  "endpoint": "/wallet/v1/topUp",
  "error": {},
  "payload": {
    "transactionId": 1704
  }
}

Example of error response

{
  "timestamp": "2025-10-08T14:09:04.395321754-06:00",
  "endpoint": "/wallet/v1/topUp",
  "error": {
    "code": 5000,
    "text": "Validation Error",
    "hints": [
      "Validations for the request failed, please check the parameters and try again",
      "Transaction Id already exists"
    ]
  },
  "payload": {}
}
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json